<script lang="ts" setup>
import { useReceiptStore } from '@/stores/receipt';

const receiptStore = useReceiptStore()
</script>


<template>
     <v-dialog v-model="receiptStore.receiptDialog" persistent width="auto">
      <v-card>
        <v-card-title class="text-h5">
          Receipt
        </v-card-title>
        <v-card-text>
          <v-sheet min-width="300" max-width="600" height="300" class="overflow-auto">
        <v-table class="bill">
          <thead>
            <tr>
              <th>Name</th>
              <th>Price</th>
              
              <th>Unit</th>
              <th>Total</th>
              <th></th>
            </tr>
          </thead>
          <tbody>
            <tr v-for="item of receiptStore.receiptItems" :key="item.id">
              <td>{{ item.name }}</td>
              <td>{{ item.price }}</td>
              
              <td>{{ item.unit }}</td>
              <td>{{ item.price * item.unit }}</td>
            </tr>
          </tbody>
        </v-table>
      </v-sheet>
      <v-container class="bill">
        <v-container>
          <v-row>
            <v-col cols="8">
          <v-row no-gutters>
          <v-col cols="6" >Total :</v-col>
          <v-col  >{{ receiptStore.receipt?.total }}</v-col>
          <v-col cols="6" >Member Discount :</v-col>
          <v-col cols="6" >{{
            receiptStore.receipt?.memberDiscount
          }}</v-col>
          <v-col cols="6" >Total Net :</v-col>
          <v-col cols="6" >{{ receiptStore.receipt?.total }}</v-col>
          
          <v-col cols="6" >Cash :</v-col>
          <v-col cols="6" >{{
            receiptStore.receipt.receivedAmount
          }}</v-col>
          <v-col cols="6" >Change :</v-col>
          <v-col cols="6" >{{ (receiptStore.receipt.receivedAmount - receiptStore.receipt.total) }} </v-col>
          </v-row>
        </v-col>
        <v-col cols="6">
          <v-img :src="`./public/img/menu/qr.png`" height="120" width="100"></v-img>
            <div style="  padding-right: 65%; color: rgb(8, 21, 63);text-align: center; ">Thai QR</div>
        </v-col>
      </v-row>
          
        </v-container>
      </v-container>
        </v-card-text>
        <v-card-actions>


          <v-spacer></v-spacer>
          <v-btn
          style="background-color: rgba(221, 26, 0, 0.678); width: 150px; height: 45px" class="mr-4" block rounded="lg" size="Small" width="40px" height="20px"  color="white"
            variant="text"
            @click="receiptStore.clear(); receiptStore.receiptDialog = false"
          >
            Close
          </v-btn> 
        </v-card-actions>
      </v-card>
    </v-dialog>
</template>